summaryrefslogtreecommitdiffstats
path: root/network/ifstatus
diff options
context:
space:
mode:
author Sean Donner <sean.donner@gmail.com>2010-05-13 01:00:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:02 +0200
commit9c6caa069b2765fef7288ce622dbb6548b9288a6 (patch)
tree6b1c3c5338fc097b28197aed9896d1690ece9640 /network/ifstatus
parent609f4595536d7f31f534abccd99dce6e25e69161 (diff)
downloadslackbuilds-9c6caa069b2765fef7288ce622dbb6548b9288a6.tar.gz
slackbuilds-9c6caa069b2765fef7288ce622dbb6548b9288a6.tar.xz
network/ifstatus: Added to 13.0 repository
Diffstat (limited to 'network/ifstatus')
-rw-r--r--network/ifstatus/README10
-rw-r--r--network/ifstatus/ifstatus.SlackBuild81
-rw-r--r--network/ifstatus/ifstatus.info10
-rw-r--r--network/ifstatus/ifstatus.patch66
-rw-r--r--network/ifstatus/slack-desc19
5 files changed, 186 insertions, 0 deletions
diff --git a/network/ifstatus/README b/network/ifstatus/README
new file mode 100644
index 0000000000..9dead8790d
--- /dev/null
+++ b/network/ifstatus/README
@@ -0,0 +1,10 @@
+IFStatus was developed for Linux users that are usually in console mode.
+It is a simple, easy to use program for displaying commonly needed / wanted
+statistcs in real time about ingoing and outgoing traffic of multiple network
+interfaces that is usually hard to find, with a simple and effecient view.
+
+The configuration file for IFStatus is automatically created in
+~/.ifstatus/ifstatus.cfg
+
+Please read http://ifstatus.sourceforge.net/graphic/informations.html
+for information on various configuration options.
diff --git a/network/ifstatus/ifstatus.SlackBuild b/network/ifstatus/ifstatus.SlackBuild
new file mode 100644
index 0000000000..b897e5b007
--- /dev/null
+++ b/network/ifstatus/ifstatus.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for cgdb
+
+# Copyright 2009-2010 Sean Donner (sean.donner@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ifstatus
+VERSION=${VERSION:-1.1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# 'v' needed due to poor tarball naming
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+
+cd $PRGNAM
+chown root:root . -R
+
+# This will not compile on gcc 4.3 or 4.4 without patch,
+# as all .cc files are missing '#include <cstdlib>'
+patch -p1 < $CWD/ifstatus.patch
+
+make \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+
+# We can't use the 'install' target in the Makefile as it
+# hardcodes the destination directory to /usr/local/bin
+install -D -m 0755 ./ifstatus $PKG/usr/bin/ifstatus
+strip --strip-unneeded $PKG/usr/bin/ifstatus
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ifstatus/ifstatus.info b/network/ifstatus/ifstatus.info
new file mode 100644
index 0000000000..999f353112
--- /dev/null
+++ b/network/ifstatus/ifstatus.info
@@ -0,0 +1,10 @@
+PRGNAM="ifstatus"
+VERSION="1.1.0"
+HOMEPAGE="http://ifstatus.sourceforge.net"
+DOWNLOAD="http://ifstatus.sourceforge.net/download/ifstatus-v1.1.0.tar.gz"
+MD5SUM="f4d413f880754fd6677290160f8bc5d7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Sean Donner"
+EMAIL="sean.donner@gmail.com"
+APPROVED="rworkman"
diff --git a/network/ifstatus/ifstatus.patch b/network/ifstatus/ifstatus.patch
new file mode 100644
index 0000000000..75bc3befd5
--- /dev/null
+++ b/network/ifstatus/ifstatus.patch
@@ -0,0 +1,66 @@
+Patch by Robert Scheck <robert@fedoraproject.org> for ifstatus >= 1.1.0,
+which adds a few missing #include lines to not violate the C++ standards
+and to build successfully with G++ version 4.3 and 4.4.
+
+--- ifstatus/IFStatus.cc 2006-01-17 00:18:46.000000000 +0100
++++ ifstatus/IFStatus.cc.gcc44 2009-04-14 00:42:04.000000000 +0200
+@@ -22,6 +22,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
++#include <cstdlib>
+ #include "Main.h"
+ #include "IFStatus.h"
+ #include "Graph.h"
+--- ifstatus/GraphDecorator.cc 2006-01-17 01:00:59.000000000 +0100
++++ ifstatus/GraphDecorator.cc.gcc44 2009-04-14 00:41:38.000000000 +0200
+@@ -21,7 +21,8 @@
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+-
++
++#include <cstdlib>
+ #include "GraphDecorator.h"
+ #include "Config.h"
+
+--- ifstatus/Interface.cc 2006-01-17 02:48:27.000000000 +0100
++++ ifstatus/Interface.cc.gcc44 2009-04-14 00:42:23.000000000 +0200
+@@ -22,6 +22,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
++#include <cstdlib>
+ #include "Interface.h"
+ #include "Config.h"
+
+--- ifstatus/Config.cc 2005-02-26 12:54:51.000000000 +0100
++++ ifstatus/Config.cc.gcc44 2009-04-14 00:40:13.000000000 +0200
+@@ -22,6 +22,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
++#include <cstdlib>
+ #include "Main.h"
+ #include "Config.h"
+ #include "Util.h"
+--- ifstatus/Email.cc 2005-02-26 12:54:51.000000000 +0100
++++ ifstatus/Email.cc.gcc44 2009-04-14 00:40:44.000000000 +0200
+@@ -22,6 +22,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
++#include <cstdlib>
+ #include "Email.h"
+ #include "Config.h"
+
+--- ifstatus/Interfaces.cc 2006-01-16 23:45:33.000000000 +0100
++++ ifstatus/Interfaces.cc.gcc44 2009-04-14 00:42:45.000000000 +0200
+@@ -22,6 +22,7 @@
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
++#include <cstdlib>
+ #include "Interfaces.h"
+ #include "Config.h"
+ #include "Util.h"
diff --git a/network/ifstatus/slack-desc b/network/ifstatus/slack-desc
new file mode 100644
index 0000000000..e43bd9e49f
--- /dev/null
+++ b/network/ifstatus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+ifstatus: Ifstatus (A curses network traffic monitor)
+ifstatus:
+ifstatus: IFStatus was developed for Linux users that are usually in console
+ifstatus: mode. It is a simple, easy to use program for displaying commonly
+ifstatus: needed / wanted statistcs in real time about ingoing and outgoing
+ifstatus: traffic of multiple network interfaces that is usually hard to find,
+ifstatus: with a simple and effecient view.
+ifstatus:
+ifstatus:
+ifstatus:
+ifstatus: